GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
compiled_regex Class Reference

`#include "gdb_regex.h"`

## Public Member Functions
| compiled_regex (const char *regex, int cflags, const char *message) ATTRIBUTE_NONNULL(2) ATTRIBUTE_NONNULL(4)
| ~compiled_regex ()
| DISABLE_COPY_AND_ASSIGN (compiled_regex)
int | exec (const char *string, size_t nmatch, regmatch_t pmatch[], int eflags) const
int | search (const char *string, int size, int startpos, int range, struct re_registers *regs)

## Private Attributes
regex_t | m_pattern

## Detailed Description

Definition at line 35 of file gdb_regex.h.

## Constructor & Destructor Documentation

## ◆ compiled_regex()

compiled_regex::compiled_regex | ( | const char * | regex,
|  | int | cflags,
|  | const char * | message
| ) |  |

Definition at line 22 of file gdb_regex.c.

References code, err, error(), gdb_assert, and m_pattern.

## ◆ ~compiled_regex()

compiled_regex::~compiled_regex | ( |  | ) |

Definition at line 39 of file gdb_regex.c.

References m_pattern.

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

compiled_regex::DISABLE_COPY_AND_ASSIGN | ( | compiled_regex |  | ) |

## ◆ exec()

int compiled_regex::exec | ( | const char * | string,
|  | size_t | nmatch,
|  | regmatch_t | pmatch[],
|  | int | eflags
| ) |  | const

Definition at line 45 of file gdb_regex.c.

References m_pattern.

Referenced by ada_add_standard_exceptions(), collect_probes(), mapping_is_anonymous_p(), name_matches_regex(), search_symbols(), and skiplist_entry::skip_function_p().

## ◆ search()

int compiled_regex::search | ( | const char * | string,
|  | int | size,
|  | int | startpos,
|  | int | range,
|  | struct re_registers * | regs
| ) |  |

Definition at line 52 of file gdb_regex.c.

References m_pattern.

Referenced by apropos_cmd().

## Member Data Documentation

## ◆ m_pattern

regex_t compiled_regex::m_pattern
| private

Definition at line 60 of file gdb_regex.h.

Referenced by compiled_regex(), exec(), search(), and ~compiled_regex().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/gdb_regex.h
- /tmp/gdb-8.1/gdb/gdb_regex.c